<template>
  <div class="register-con">
      <navs :message="titles" :rightText="loginTxt" @rights="toRegister" @went="GoIndex"></navs>
      <div class="register-spe">
        <inputs :iTitle="iTitle" :iType="iType" :imgSrc="iptSrc"  ref="tels"></inputs>
      </div>
      <div class="register-spe">
        <inputs :iTitle="iPassword" :iType="iPwd" :imgSrc="iptSrc" @image="pwdImg()" ref="pwd"></inputs>
      </div>

      <div class="button-txt">
        <buttons :buttonText="btnText" @clickButton="loginNow"></buttons>
      </div>
    <div class="agree-able">
     <img class="agree-src" :src="checkedBox"/>
      <span class="register-txt">
        我同意易学懂《用户协议》
      </span>
    </div>
  </div>
</template>

<script>
  import navs from '../components/headers.vue';
  import inputs from '../components/inputs.vue';
  import buttons from '../components/buttons.vue';
  import mains from '../utils/main.js';
  import M from '../utils/api.js';
    export default {
      name: 'register',
      data () {
      return {
      titles: 'HELLO,请登录',
      bgColor:"#FFF",
      loginTxt:"验证码登录",
      iTitle:"手机号",
      iType:"tel",
      iPassword:"密码",

      iNum:"tel",
      iPwd:"password",
      btnText:"登录",
      isDisable:true,
      iptSrc:require("../assets/del_gray.png"),
      checkedBox:require("../assets/checked.png")
    }
  },

  methods:{

    pwdImg(){
        this.iPwd=this.password=="text" ? "password" :"text";
    },
    GoIndex(){
      this.$router.push("/");
    },
    loginNow(){
      let para={
        phone:this.$refs["tels"].inputModel,
        password:this.$refs["pwd"].inputModel
      },vm=this;
      M.logins(function(data){
          if(data.status=='success'){
            window.localStorage.userInfo=JSON.stringify(data.userInfo);
            vm.$router.push({path:"/",query:{userId:data.userInfo.userId, userName:data.userInfo.userName}})
          }
      },para,function(err){
          console.log(err)
      })
    },
    toRegister(){
        this.$router.push("/login")
    }
  },

  components:{
    navs,
    inputs,
    buttons
  }
}
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>
    @import "../styles/register.css";
</style>
